3()

NAME
EZ_DoScroll - move a scrollbar

SYNOPSIS
#include <EZ.h>

void EZ_DoScroll( EZ_Widget *scrollbar, int offset, int absolute)

ARGUMENTS
scrollbar specifies a scrollbar widget.

offset specifies an offset.

absolute specifies how to interpret offset.

DESCRIPTION

A scrollbar uses three state variables to scroll an object: total_size, page_size and start_position (e.g. number of lines, number of lines in one page and the index of the first line currently displayed).

EZ_DoScroll scrolls the object which scrollbar controls by the specified offset. If absoulte is True, offset is treated as the absolute position, otherwise, it is interpreted as the offset from the start_position.

SEE ALSO
EZ_UpdateScrollbar(3)